httpd-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Cody Sherr <csh...@covalent.net>
Subject Re: gcc compiler not working with apache server
Date Fri, 17 Aug 2001 16:51:15 GMT

Your configure step is not finding a valid compiler.

1) check your system for a modern version of gcc, such as 2.95. Based on
the fact that you have apache 1.3.9, I can't imagine what version of gcc
you are using.

2) you have to set your CC variable to point to this version of cc. For
bourne shell:

export CC=/path/to/gcc

regards,

-- 
Cody Sherr

Engineer
Covalent Technologies

phone: (415)536-5292
email: csherr@covalent.net


On Thu, 16 Aug 2001, Jim Jagielski wrote:

> At 1:45 PM -0700 8/15/01, fredric greene wrote:
> >Please help-
> >
> >I'm trying to compile an Apache server (1.3.9) using gcc (3.0 then reinstalled 2.95).
No luck. Configure command keeps giving me output below - "..doing sanity check.....Apache
requires an ANSI C compiler."
> >
>
> 1.3.9 ???
>
> I'd suggest 1.3.20 :)
>


Mime
View raw message